a#title {
    flex: 1;
}
img#image {
    position: absolute;
    left: 2%;
}

div#title {
    position: absolute;
    left: 42%;
    font-weight: 800;
    font-size: 200%;
}

div#login {
    right: 2%;
    position: absolute;
    font-weight: 800;
    font-size: 200%;
}

nav {
    width: 100%;
    height: 100px;
}

nav a{
    color: #fff;
    text-decoration: none;
    padding: 7px 25px;
    display: inline-block;
}



header,
footer{
  flex-basis: 80px;
  
  /*ie10*/
  -ms-flex-preferred-size: 80px;
  
  /*center align of links*/
  display: flex;
  align-items: center; /*vertical*/
  justify-content: space-around; /*or space-between*/
  /*ie10*/
  display: -ms-flexbox;
  -ms-flex-align: center; /*vertical*/
  -ms-flex-line-pack: distribute; /*or justify*/
}

@media screen and (max-width: 700px){
    img#image {
        position: absolute;
        left: 2%;
    }
    
    div#title {
        position: absolute;
        left: 38%;
        font-weight: 800;
        font-size: 160%;
    }
    
    div#login {
        right: 2%;
        position: absolute;
        font-weight: 800;
        font-size: 160%;
    }
    
    nav a{
        color: #fff;
        text-decoration: none;
        padding: 7px 25px;
        display: inline-block;
    }
    
}